Bug 174588 - Review Request: libopensync-plugin-gpe
Review Request: libopensync-plugin-gpe
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.opensync.org/
:
Depends On: 174486
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-30 09:49 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 18:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-11-30 09:49:19 EST
Spec Name or Url: http://fedora.lowlatency.de/review/libopensync-plugin-gpe.spec
SRPM Name or Url:
http://fedora.lowlatency.de/review/libopensync-plugin-gpe-0.18-1.src.rpm
Description:
gpe plugin for libopensync
Comment 1 John Mahowald 2006-02-05 03:02:14 EST
Minor: 
- warnings while building:

gpesync_client.c: In function 'write_command':
gpesync_client.c:70: warning: ignoring return value of 'write', declared with
attribute warn_unused_result
gpesync_client.c: In function 'gpesync_client_open':
gpesync_client.c:248: warning: ignoring return value of 'pipe', declared with
attribute warn_unused_result
gpesync_client.c:249: warning: ignoring return value of 'pipe', declared with
attribute warn_unused_result

It'd be nice if these went away and we could use -Werror again. File a bug upstream.

- %description too long
rpmlint of libopensync-plugin-gpe-devel-0.18-1.i386.rpm:E:
libopensync-plugin-gpe-devel description-line-too-long The
libopensync-plugin-gpe-devel package contains the files needed for development

rpmlint of libopensync-plugin-gpe-devel-0.18-1.i386.rpm:E:
libopensync-plugin-gpe-devel description-line-too-long The
libopensync-plugin-gpe-devel package contains the files needed for development


Good:

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Fixup the %description and this is APPROVED
Comment 3 John Mahowald 2006-02-27 11:28:42 EST
Fixed version also builds on x86_64 rawhide.

APPROVED
Comment 4 Andreas Bierfert 2006-02-27 18:51:13 EST
Thanks. Imported and pushed :)

Note You need to log in before you can comment on or make changes to this bug.